diff options
author | Jim Meyering <jim@meyering.net> | 1998-10-03 04:59:26 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 1998-10-03 04:59:26 +0000 |
commit | 432e6df3e46c5bf50c0bcd320bbd506b0cb59f74 (patch) | |
tree | fa8e6db414fca03236dbcae84a9d0b90ab74b17d | |
parent | 95fd28c29068a66b16182a571ad72a94f0688363 (diff) | |
download | coreutils-432e6df3e46c5bf50c0bcd320bbd506b0cb59f74.tar.xz |
Include /bin/sh driver framework.
-rwxr-xr-x | tests/ls-2/quoting | 15 |
1 files changed, 14 insertions, 1 deletions
diff --git a/tests/ls-2/quoting b/tests/ls-2/quoting index dbc182713..6a3e3819f 100755 --- a/tests/ls-2/quoting +++ b/tests/ls-2/quoting @@ -1,4 +1,16 @@ -#!/usr/bin/perl -w +#!/bin/sh + +: ${PERL=perl} +: ${srcdir=.} + +case "$PERL" in + *'missing perl') + echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test" + exit 77 + ;; +esac + +exec $PERL -w -I$srcdir/.. -MFetish -- - << \EOF require 5.003; use strict; @@ -38,3 +50,4 @@ my $verbose = $ENV{VERBOSE}; my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n"; my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose); exit $fail; +EOF |